# Index of examples

This folder contains examples in either script `.py` or notebook `.ipynb` files regarding different topics.

## Scripts

- Get device data: [scripts/get_device_data.py](scripts/get_device_data.py)
- Get devices by location and mac addresses: [scripts/get_device_data.py](scripts/get_device_macs.py)
- Process data based on blueprints: [scripts/process_data.py](scripts/process_data.py)
- Kit ID changes (only with admin priviledges): [scripts/change_kit_id.py](scripts/change_kit_id.py)

## Notebooks

- Understanding data structure and getting from different sources: [notebooks/01_getting_started.ipynb](notebooks/01_getting_started.ipynb)
- More on data from different sources: [notebooks/02_access_the_power_of_data.ipynb](notebooks/02_access_the_power_of_data.ipynb)
- Plotting data: [notebooks/03_plotting_in_no_time.ipynb](notebooks/03_plotting_in_no_time.ipynb)
- Processing data: [notebooks/04_processing_data.ipynb](notebooks/04_processing_data.ipynb)
- Sensor calibration: [notebooks/05_sensor_calibration_workflows.ipynb](notebooks/05_sensor_calibration_workflows.ipynb)
- Zenodo uploads: [notebooks/06_upload_to_zenodo.ipynb](notebooks/06_upload_to_zenodo.ipynb)
- Query the SC API to find devices: [notebooks/08_querying_the_sc_api.ipynb](notebooks/08_querying_the_sc_api.ipynb)
- Load and post data (concatenating SD card data too): [notebooks/09_load_and_post.ipynb](notebooks/09_load_and_post.ipynb)
- Basic analysis workflow: [notebooks/10_basic_workflow.ipynb](notebooks/10_basic_workflow.ipynb)
- Making HTML-PDF reports: [notebooks/11_making_html-pdf_reports.ipynb](notebooks/11_making_html-pdf_reports.ipynb)